// MagicMirror.h: Schnittstelle für die Klasse MagicMirror.
//
//////////////////////////////////////////////////////////////////////

#ifndef MAGICMIRROR_H
#define MAGICMIRROR_H


#include <qlist.h>

class AMCMirrorPanel;

class MagicMirror  
{
public:
	MagicMirror();
	virtual ~MagicMirror();
	AMCMirrorPanel* panelAt( int i, int j ) { return m_arrPanels[i][j]; };
	QList<AMCMirrorPanel>& panelForPort( int iPort ) { return m_panelList[iPort]; };
	QList<AMCMirrorPanel>& panelList( ) { return m_allPanelList; };
	int getNumPanels() { return m_iNumPanels; };
	void saveMirrorPanels();

private:
	int m_iNumPanels;
	AMCMirrorPanel* m_arrPanels[17][17];
	QList<AMCMirrorPanel> m_panelList[8];
	QList<AMCMirrorPanel> m_allPanelList;
	void readPanelDescription();
	void readPanelPositions();
};

#endif
